<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the fist needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientbase class each generated ServiceType class extends this class
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'http://oxmail.khalil.pw/webservices/OXUtilService?wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc....
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'http://oxmail.khalil.pw/webservices/OXUtilService?wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Register ServiceType
 */
$register = new \ServiceType\Register($options);
/**
 * Sample call for registerDatabase operation/method
 */
if ($register->registerDatabase(new \StructType\RegisterDatabase()) !== false) {
    print_r($register->getResult());
} else {
    print_r($register->getLastError());
}
/**
 * Sample call for registerFilestore operation/method
 */
if ($register->registerFilestore(new \StructType\RegisterFilestore()) !== false) {
    print_r($register->getResult());
} else {
    print_r($register->getLastError());
}
/**
 * Sample call for registerServer operation/method
 */
if ($register->registerServer(new \StructType\RegisterServer()) !== false) {
    print_r($register->getResult());
} else {
    print_r($register->getLastError());
}
/**
 * Samples for Delete ServiceType
 */
$delete = new \ServiceType\Delete($options);
/**
 * Sample call for deleteMaintenanceReason operation/method
 */
if ($delete->deleteMaintenanceReason(new \StructType\DeleteMaintenanceReason()) !== false) {
    print_r($delete->getResult());
} else {
    print_r($delete->getLastError());
}
/**
 * Samples for List ServiceType
 */
$list = new \ServiceType\_List($options);
/**
 * Sample call for listDatabase operation/method
 */
if ($list->listDatabase(new \StructType\ListDatabase()) !== false) {
    print_r($list->getResult());
} else {
    print_r($list->getLastError());
}
/**
 * Sample call for listFilestore operation/method
 */
if ($list->listFilestore(new \StructType\ListFilestore()) !== false) {
    print_r($list->getResult());
} else {
    print_r($list->getLastError());
}
/**
 * Sample call for listAllFilestore operation/method
 */
if ($list->listAllFilestore(new \StructType\ListAllFilestore()) !== false) {
    print_r($list->getResult());
} else {
    print_r($list->getLastError());
}
/**
 * Sample call for listServer operation/method
 */
if ($list->listServer(new \StructType\ListServer()) !== false) {
    print_r($list->getResult());
} else {
    print_r($list->getLastError());
}
/**
 * Sample call for listAllDatabase operation/method
 */
if ($list->listAllDatabase(new \StructType\ListAllDatabase()) !== false) {
    print_r($list->getResult());
} else {
    print_r($list->getLastError());
}
/**
 * Sample call for listAllMaintenanceReason operation/method
 */
if ($list->listAllMaintenanceReason(new \StructType\ListAllMaintenanceReason()) !== false) {
    print_r($list->getResult());
} else {
    print_r($list->getLastError());
}
/**
 * Sample call for listAllServer operation/method
 */
if ($list->listAllServer(new \StructType\ListAllServer()) !== false) {
    print_r($list->getResult());
} else {
    print_r($list->getLastError());
}
/**
 * Sample call for listMaintenanceReason operation/method
 */
if ($list->listMaintenanceReason(new \StructType\ListMaintenanceReason()) !== false) {
    print_r($list->getResult());
} else {
    print_r($list->getLastError());
}
/**
 * Samples for Unregister ServiceType
 */
$unregister = new \ServiceType\Unregister($options);
/**
 * Sample call for unregisterDatabase operation/method
 */
if ($unregister->unregisterDatabase(new \StructType\UnregisterDatabase()) !== false) {
    print_r($unregister->getResult());
} else {
    print_r($unregister->getLastError());
}
/**
 * Sample call for unregisterFilestore operation/method
 */
if ($unregister->unregisterFilestore(new \StructType\UnregisterFilestore()) !== false) {
    print_r($unregister->getResult());
} else {
    print_r($unregister->getLastError());
}
/**
 * Sample call for unregisterServer operation/method
 */
if ($unregister->unregisterServer(new \StructType\UnregisterServer()) !== false) {
    print_r($unregister->getResult());
} else {
    print_r($unregister->getLastError());
}
/**
 * Samples for Change ServiceType
 */
$change = new \ServiceType\Change($options);
/**
 * Sample call for changeFilestore operation/method
 */
if ($change->changeFilestore(new \StructType\ChangeFilestore()) !== false) {
    print_r($change->getResult());
} else {
    print_r($change->getLastError());
}
/**
 * Sample call for changeDatabase operation/method
 */
if ($change->changeDatabase(new \StructType\ChangeDatabase()) !== false) {
    print_r($change->getResult());
} else {
    print_r($change->getLastError());
}
/**
 * Samples for Check ServiceType
 */
$check = new \ServiceType\Check($options);
/**
 * Sample call for checkDatabase operation/method
 */
if ($check->checkDatabase(new \StructType\CheckDatabase()) !== false) {
    print_r($check->getResult());
} else {
    print_r($check->getLastError());
}
/**
 * Samples for Unblock ServiceType
 */
$unblock = new \ServiceType\Unblock($options);
/**
 * Sample call for unblockDatabase operation/method
 */
if ($unblock->unblockDatabase(new \StructType\UnblockDatabase()) !== false) {
    print_r($unblock->getResult());
} else {
    print_r($unblock->getLastError());
}
/**
 * Samples for Create ServiceType
 */
$create = new \ServiceType\Create($options);
/**
 * Sample call for createSchema operation/method
 */
if ($create->createSchema(new \StructType\CreateSchema()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createMaintenanceReason operation/method
 */
if ($create->createMaintenanceReason(new \StructType\CreateMaintenanceReason()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
